﻿using System;
using System.Runtime.Serialization;

namespace CRM.Tools.ODataQueryDesigner.DataModel
{
    
    [DataContract(Name = "KeyValuePairOfstringanyType", Namespace = "http://schemas.datacontract.org/2004/07/System.Collections.Generic")]
    public class KeyValuePair<TKey, TValue>
    {
        public KeyValuePair(TKey key, TValue value)
        {
            this._key = key;
            this._value = value;
        }

        private TKey _key;
        private TValue _value;

        [DataMember(Name = "key")]
        public TKey Key
        {
            get { return _key; }
            set { _key = value; }
        }

        [DataMember(Name = "value")]
        public TValue Value
        {
            get { return _value; }
            set { _value = value; }
        }
    }

}
